// $Id: init_array.c,v 1.1 2019/03/06 22:23:34 leavens Exp leavens $

#include <math.h>
#include "init_array.h"

// Requires: for all 0 <= i and i < sz :: i is a legal index into data
// and rule is defined on i and rule has no effects when applied to i.
// Effect: for all 0 <= i and i < sz :: data[i] == rule(i)
void init_array(double data[], RuleFun rule, int sz) {
    for (int i = 0; i < sz; i++) {
        data[i] = rule(i);
    }
}

// Some rule functions follow. 
double castToDouble(int i) { return (double) i; }
double square(int i) { return (double) i*i; }
double plus10(int i) { return i+10.0; }
double fifty(int i) { return 50.0; }
double eToPower(int i) { return exp(i); }
double logePlus10(int i) { return log(i+10.0); }
