// $Id: test_below100int.c,v 1.3 2019/03/06 22:47:44 leavens Exp leavens $
// compile with:
// gcc -g -Wall -pedantic tap.c below20int.c below100int.c test_below100int.c -o test_below100int

#include <stdlib.h>
#include "tap.h"
#include "below100int.h"

// Testing for below100int().
int main() {
    plan(26);
    const char *words[2];
    words[0] = "zero";
    words[1] = NULL;
    ok(below100int(words, 1) == 0, "test for zero");
    words[0] = "one";
    ok(below100int(words, 1) == 1, "test for one");
    words[0] = "two";
    ok(below100int(words, 1) == 2, "test for two");
    words[0] = "seven";
    ok(below100int(words, 1) == 7, "test for seven");
    words[0] = "nine";
    ok(below100int(words, 1) == 9, "test for nine");
    words[0] = "ten";
    ok(below100int(words, 1) == 10, "test for ten");
    words[0] = "eleven";
    ok(below100int(words, 1) == 11, "test for eleven");
    words[0] = "twelve";
    ok(below100int(words, 1) == 12, "test for twelve");
    words[0] = "thirteen";
    ok(below100int(words, 1) == 13, "test for thirteen");
    words[0] = "fourteen";
    ok(below100int(words, 1) == 14, "test for fourteen");
    words[0] = "fifteen";
    ok(below100int(words, 1) == 15, "test for fifteen");
    words[0] = "nineteen";
    ok(below100int(words, 1) == 19, "test for nineteen");
    words[0] = "twenty";
    ok(below100int(words, 1) == 20, "test for twenty");
    words[1] = "one";
    ok(below100int(words, 2) == 21, "test for twenty one");
    words[1] = "three";
    ok(below100int(words, 2) == 23, "test for %s %s", words[0], words[1]);
    words[0] = "thirty";
    words[1] = "three";
    ok(below100int(words, 2) == 33, "test for %s %s", words[0], words[1]);
    words[0] = "fourty";
    words[1] = "nine";
    ok(below100int(words, 2) == 49, "test for %s %s", words[0], words[1]);
    words[0] = "sixty";
    words[1] = "five";
    ok(below100int(words, 2) == 65, "test for %s %s", words[0], words[1]);
    words[0] = "sixty";
    words[1] = "seven";
    ok(below100int(words, 2) == 67, "test for %s %s", words[0], words[1]);
    words[0] = "fifty";
    words[1] = "two";
    ok(below100int(words, 2) == 52, "test for %s %s", words[0], words[1]);
    words[0] = "seventy";
    words[1] = "six";
    ok(below100int(words, 2) == 76, "test for %s %s", words[0], words[1]);
    words[0] = "seventy";
    words[1] = "three";
    ok(below100int(words, 2) == 73, "test for %s %s", words[0], words[1]);
    words[0] = "eighty";
    words[1] = "eight";
    ok(below100int(words, 2) == 88, "test for %s %s", words[0], words[1]);
    words[0] = "ninety";
    words[1] = "nine";
    ok(below100int(words, 2) == 99, "test for %s %s", words[0], words[1]);
    words[0] = "ninety";
    words[1] = NULL;
    ok(below100int(words, 1) == 90, "test for %s", words[0]);
    words[0] = "fourty";
    ok(below100int(words, 1) == 40, "test for %s", words[0]);
    return exit_status();
}
